AntiFeatures:
  - NonFreeNet
  - Tracking
Categories:
  - Multimedia
License: CC-BY-4.0
AuthorName: ZitzuSoft
AuthorEmail: zitzusoft@gmail.com
SourceCode: https://github.com/f-leoni/lyrics2
IssueTracker: https://github.com/f-leoni/lyrics2/issues
Changelog: https://github.com/f-leoni/lyrics2

AutoName: lyrics_2

RepoType: git
Repo: https://github.com/f-leoni/lyrics2

Builds:
  - versionName: 1.0.0
    versionCode: 22
    commit: v1.0.19_fdroid
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - ios
      - web
    prebuild:
      - curl -o lib/env.dart https://oc.zitzu.it/index.php/s/CdyDNRDjbdKGQpA/download/env.dart
      - curl -o android/app/google-services.json https://oc.zitzu.it/index.php/s/8cxaAdBnc7d9aya/download/google-services.json
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release

  - versionName: 1.0.0
    versionCode: 24
    commit: ce02304dd57ae6bc5a371f866be091e72bb22274
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - ios
      - web
    prebuild:
      - curl -o lib/env.dart https://oc.zitzu.it/index.php/s/CdyDNRDjbdKGQpA/download/env.dart
      - curl -o android/app/google-services.json https://oc.zitzu.it/index.php/s/8cxaAdBnc7d9aya/download/google-services.json
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk --release

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.0
CurrentVersionCode: 24
